Class GetTaskRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder>
org.a2aproject.sdk.grpc.GetTaskRequest.Builder
All Implemented Interfaces:
com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, GetTaskRequestOrBuilder
Enclosing class:
GetTaskRequest

public static final class GetTaskRequest.Builder extends com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder> implements GetTaskRequestOrBuilder
 Represents a request for the `GetTask` method.
 
Protobuf type lf.a2a.v1.GetTaskRequest
  • Method Summary

    Modifier and Type
    Method
    Description
     
     
     
    The maximum number of most recent messages from the task's history to retrieve.
    The resource ID of the task to retrieve.
    Optional.
     
    static final com.google.protobuf.Descriptors.Descriptor
     
    com.google.protobuf.Descriptors.Descriptor
     
    int
    The maximum number of most recent messages from the task's history to retrieve.
    The resource ID of the task to retrieve.
    com.google.protobuf.ByteString
    The resource ID of the task to retrieve.
    Optional.
    com.google.protobuf.ByteString
    Optional.
    boolean
    The maximum number of most recent messages from the task's history to retrieve.
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
     
    final boolean
     
    mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)
     
    mergeFrom(com.google.protobuf.Message other)
     
     
    setHistoryLength(int value)
    The maximum number of most recent messages from the task's history to retrieve.
    setId(String value)
    The resource ID of the task to retrieve.
    setIdBytes(com.google.protobuf.ByteString value)
    The resource ID of the task to retrieve.
    Optional.
    setTenantBytes(com.google.protobuf.ByteString value)
    Optional.

    Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

    addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3

    Methods inherited from class com.google.protobuf.AbstractMessage.Builder

    findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString

    Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

    addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException

    Methods inherited from class java.lang.Object

    equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

    Methods inherited from interface com.google.protobuf.Message.Builder

    mergeDelimitedFrom, mergeDelimitedFrom

    Methods inherited from interface com.google.protobuf.MessageLite.Builder

    mergeFrom

    Methods inherited from interface com.google.protobuf.MessageOrBuilder

    findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
  • Method Details

    • getDescriptor

      public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()
    • internalGetFieldAccessorTable

      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
      Specified by:
      internalGetFieldAccessorTable in class com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder>
    • clear

      public GetTaskRequest.Builder clear()
      Specified by:
      clear in interface com.google.protobuf.Message.Builder
      Specified by:
      clear in interface com.google.protobuf.MessageLite.Builder
      Overrides:
      clear in class com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder>
    • getDescriptorForType

      public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
      Specified by:
      getDescriptorForType in interface com.google.protobuf.Message.Builder
      Specified by:
      getDescriptorForType in interface com.google.protobuf.MessageOrBuilder
      Overrides:
      getDescriptorForType in class com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder>
    • getDefaultInstanceForType

      public GetTaskRequest getDefaultInstanceForType()
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageLiteOrBuilder
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageOrBuilder
    • build

      public GetTaskRequest build()
      Specified by:
      build in interface com.google.protobuf.Message.Builder
      Specified by:
      build in interface com.google.protobuf.MessageLite.Builder
    • buildPartial

      public GetTaskRequest buildPartial()
      Specified by:
      buildPartial in interface com.google.protobuf.Message.Builder
      Specified by:
      buildPartial in interface com.google.protobuf.MessageLite.Builder
    • mergeFrom

      public GetTaskRequest.Builder mergeFrom(com.google.protobuf.Message other)
      Specified by:
      mergeFrom in interface com.google.protobuf.Message.Builder
      Overrides:
      mergeFrom in class com.google.protobuf.AbstractMessage.Builder<GetTaskRequest.Builder>
    • mergeFrom

      public GetTaskRequest.Builder mergeFrom(GetTaskRequest other)
    • isInitialized

      public final boolean isInitialized()
      Specified by:
      isInitialized in interface com.google.protobuf.MessageLiteOrBuilder
      Overrides:
      isInitialized in class com.google.protobuf.GeneratedMessage.Builder<GetTaskRequest.Builder>
    • mergeFrom

      public GetTaskRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
      Specified by:
      mergeFrom in interface com.google.protobuf.Message.Builder
      Specified by:
      mergeFrom in interface com.google.protobuf.MessageLite.Builder
      Overrides:
      mergeFrom in class com.google.protobuf.AbstractMessage.Builder<GetTaskRequest.Builder>
      Throws:
      IOException
    • getTenant

      public String getTenant()
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Specified by:
      getTenant in interface GetTaskRequestOrBuilder
      Returns:
      The tenant.
    • getTenantBytes

      public com.google.protobuf.ByteString getTenantBytes()
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Specified by:
      getTenantBytes in interface GetTaskRequestOrBuilder
      Returns:
      The bytes for tenant.
    • setTenant

      public GetTaskRequest.Builder setTenant(String value)
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Parameters:
      value - The tenant to set.
      Returns:
      This builder for chaining.
    • clearTenant

      public GetTaskRequest.Builder clearTenant()
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Returns:
      This builder for chaining.
    • setTenantBytes

      public GetTaskRequest.Builder setTenantBytes(com.google.protobuf.ByteString value)
       Optional. Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Parameters:
      value - The bytes for tenant to set.
      Returns:
      This builder for chaining.
    • getId

      public String getId()
       The resource ID of the task to retrieve.
       
      string id = 2 [(.google.api.field_behavior) = REQUIRED];
      Specified by:
      getId in interface GetTaskRequestOrBuilder
      Returns:
      The id.
    • getIdBytes

      public com.google.protobuf.ByteString getIdBytes()
       The resource ID of the task to retrieve.
       
      string id = 2 [(.google.api.field_behavior) = REQUIRED];
      Specified by:
      getIdBytes in interface GetTaskRequestOrBuilder
      Returns:
      The bytes for id.
    • setId

      public GetTaskRequest.Builder setId(String value)
       The resource ID of the task to retrieve.
       
      string id = 2 [(.google.api.field_behavior) = REQUIRED];
      Parameters:
      value - The id to set.
      Returns:
      This builder for chaining.
    • clearId

      public GetTaskRequest.Builder clearId()
       The resource ID of the task to retrieve.
       
      string id = 2 [(.google.api.field_behavior) = REQUIRED];
      Returns:
      This builder for chaining.
    • setIdBytes

      public GetTaskRequest.Builder setIdBytes(com.google.protobuf.ByteString value)
       The resource ID of the task to retrieve.
       
      string id = 2 [(.google.api.field_behavior) = REQUIRED];
      Parameters:
      value - The bytes for id to set.
      Returns:
      This builder for chaining.
    • hasHistoryLength

      public boolean hasHistoryLength()
       The maximum number of most recent messages from the task's history to retrieve. An
       unset value means the client does not impose any limit. A value of zero is
       a request to not include any messages. The server MUST NOT return more
       messages than the provided value, but MAY apply a lower limit.
       
      optional int32 history_length = 3;
      Specified by:
      hasHistoryLength in interface GetTaskRequestOrBuilder
      Returns:
      Whether the historyLength field is set.
    • getHistoryLength

      public int getHistoryLength()
       The maximum number of most recent messages from the task's history to retrieve. An
       unset value means the client does not impose any limit. A value of zero is
       a request to not include any messages. The server MUST NOT return more
       messages than the provided value, but MAY apply a lower limit.
       
      optional int32 history_length = 3;
      Specified by:
      getHistoryLength in interface GetTaskRequestOrBuilder
      Returns:
      The historyLength.
    • setHistoryLength

      public GetTaskRequest.Builder setHistoryLength(int value)
       The maximum number of most recent messages from the task's history to retrieve. An
       unset value means the client does not impose any limit. A value of zero is
       a request to not include any messages. The server MUST NOT return more
       messages than the provided value, but MAY apply a lower limit.
       
      optional int32 history_length = 3;
      Parameters:
      value - The historyLength to set.
      Returns:
      This builder for chaining.
    • clearHistoryLength

      public GetTaskRequest.Builder clearHistoryLength()
       The maximum number of most recent messages from the task's history to retrieve. An
       unset value means the client does not impose any limit. A value of zero is
       a request to not include any messages. The server MUST NOT return more
       messages than the provided value, but MAY apply a lower limit.
       
      optional int32 history_length = 3;
      Returns:
      This builder for chaining.